---
description: Docker Billing FAQ
keywords: Docker Hub, pricing, billing, Pro, Team, subscription, plans,
title: Docker Billing FAQ
---

On May 14, 2020, Docker announced new pricing changes for Docker Hub subscriptions.

### What plans and pricing changes did Docker announce on May 14?

Docker announced the following plans and pricing changes.

Immediately available for **Individuals** and **Teams**:

- **Free Community** plans will continue to be available for both individuals and development teams that include unlimited public repositories.

- **NEW Pro** plan for individuals with unlimited private repositories, unlimited public repositories, and unlimited collaborators starting at $7 per month.

- **NEW Team** plan for development teams with unlimited private repositories and unlimited public repositories starting at $9 per user per month and offers advanced collaboration and management tools, including organization and team management with role-based access controls.

### How can I compare which features are in each plan?

You can see pricing and a full list of features for each product at [Docker Hub pricing](https://hub.docker.com/pricing){: target="_blank" class="_"}.

### What is the difference between a legacy plan and these new announced plans?

The legacy plans were based on a private repository/parallel autobuild pricing model. The new Pro and Team plans are now based on a per-seat pricing model. Both Pro and Team offer unlimited private repositories. The Community plan offers unlimited public repositories at no cost per month.

### If I am an existing paid Docker Hub customer, when do I need to change my plan?

Nothing changes for you today. We will notify users in the coming months and at that time you'll have six months to select a new plan.

### How will the new pricing plan impact existing Docker Hub customers?

Legacy customers can choose to stay on their existing per-repository plan or switch to per-seat pricing. We will notify customers six months before any mandated change to your subscription is required. After May 14, 2020, upgrading or downgrading on the per-repository plan will not be available.

### Will my price per month increase or decrease?

Depending on your configuration, you may find it more economical to move to one of the new pricing plans available today. The key factor affecting a price increase or decrease is the total number of seats you need to support your organization.

### What is the difference between the Team and Free Teams plans?

For details on the differences between the Team and Free Team plan, see [Docker Billing](index.md).

### Do collaborator limits differ between Community and Pro?

Pro includes unlimited collaborators for both private and public repositories. Community includes unlimited collaborators for public repositories and up to three collaborators per private repository.

### How can I create a new Docker Hub account?

You can create a new account at [Docker Hub pricing](https://hub.docker.com/pricing){: target="_blank" class="_"} where you can choose a plan for **Individuals** or a plan for **Teams**.

### How do I upgrade to a Pro plan from a legacy individual plan?

Upgrading your legacy plan to a Pro plan offers you unlimited public repositories, unlimited private repositories, and unlimited collaborators. Once you’ve upgraded your current legacy individual plan to a Pro plan, it is not possible to switch back to the legacy per-repository plan.

For information on how to upgrade to a Pro plan from a legacy (per-repository plan) plan, see [Upgrade to a Pro plan](/upgrade.md#upgrade-to-a-pro-plan).

### How do I upgrade to a Team plan from a legacy organization plan?

Upgrading your legacy plan to a Team plan offers you unlimited public and unlimited private repositories. Once you’ve upgraded your current legacy organization plan to a Team plan, it is not possible to switch back to the legacy per-repository plan.

For information on how to upgrade to a Team plan from a legacy (per-repository) plan, see [Upgrade to a Team plan](/upgrade.md#upgrade-to-a-team-plan).

### How do downgrades from a Pro or Team plan work?

When you downgrade your existing plan, changes are applied at the end of your billing cycle. For example, if you are currently on a Team plan which is billed on the 8th of every month and you choose to downgrade to a Free plan on the 15th, your plan will be active until 7th of the following month. You will be transferred to a Free plan on the 8th of the following month. Refer to the next two questions below to downgrade your account.

### How do I downgrade from a Team plan to a Free plan?

Before you downgrade to a Free Team plan, you must convert all private repositories to public repositories and update the organization details to reflect features available in the Free plan. For example, you may need to reduce the number of team members. For information on what’s included in the Free plan, see [Docker Hub Pricing](https://hub.docker.com/pricing){: target="_blank" class="_"}.

For information on how to downgrade from a Team plan to a Free plan, see [Downgrade from Team to a Free plan](/downgrade.md#downgrade-from-team-to-a-free-plan).

### How do I downgrade from Pro to a Community plan?

Before you downgrade to a Community plan, ensure that your account details are updated to reflect features available in the Community plan. For example, you may need to convert any private repositories to public repositories. For information on what’s included in the Community plan, see [Docker Hub Pricing](https://hub.docker.com/pricing){: target="_blank" class="_"}.

For information on how to downgrade from Pro to a Community plan, see [Downgrade from Pro to a Community plan](/downgrade.md#downgrade-from-pro-to-a-community-plan).

### How many seats do I need for my organization if I select a Team plan?

Your organization's number of paid seats must equal the number of organization members. If you're not using all of your organization's paid seats, you can downgrade to pay for fewer seats. Organization owners and members each fill a seat. If you've sent a pending invitation to a prospective organization member, the invitation will fill a seat.

### How do I add or remove paid seats for my team members?

For information on how to add paid seats to a monthly plan for your organization, see [Add seats to a monthly plan](add-seats.md).

For information on how to remove paid seats from a monthly plan for your organization, see [Remove seats from a monthly plan](remove-seats.md).

### How do I add a member to a team in my organization?

For information on how to add a member to a team, see [Add a member to a team](../orgs.md#add-a-member-to-a-team).

### Can Docker Hub continue to be used for open source project?

Yes, Docker will continue to offer a Community plan with unlimited public repositories and unlimited collaborators for public repositories at no cost per month. Docker is committed to supporting the broader open source communities.

### What forms of payment do you accept?

The Docker Hub accepts Visa, MasterCard, American Express, and Discover credit
cards. We do not accept ACH, EFT, or PIN-based debit card transactions at this
time.

### What currencies do you accept?

Docker is a US-based company, and bills in US Dollars (USD). This keeps our
pricing stable and consistent, rather than fluctuating with exchange rates.

### When do you charge my credit card?

We automatically charge your credit card on the first day of your billing cycle
each month, and the charge comes from Docker, Inc. Your billing cycle is a
30-day period starting on the day you subscribe.

### What do I do if my payment fails?

If your payment failed because the card expired or was canceled, you need to
update your credit card information or add an additional card.

Click the user icon menu in the upper right corner, and click
**Billing**. Click the **Payment methods** tab to update your credit card and
contact information.

If you are updating the card details for an organization, be sure to select the
organization name from the **Account** menu before updating the information.

### How does cancellation work? Do you offer refunds?

You can cancel a subscription at any time, however you are still billed
for the full month, and have access to the subscription content until the end of
that billing period.

We do not offer refunds. If you believe that you've been billed in error,
contact our [Billing Support team](mailto:billing@docker.com){: target="_blank" class="_"}.

### How do I download the licenses my organization has purchased?

You can view and download all you active licenses for an organization from the
**Subscriptions** page.

Click the user icon menu at the top right, choose **My Content** and then
select the organization from the **Accounts** drop-down menu.

### I have more questions regarding the new pricing, who can I reach out to?

If you have any questions about how the new seat-based pricing impacts you that are not covered in the FAQ, please reach out to [pricingquestions@docker.com](mailto:pricingquestions@docker.com){: target="_blank" class="_"} and a member of the Docker team will get back to you.
